# xarray.plot.hist

`xarray.plot.``hist`(darray, figsize=None, size=None, aspect=None, ax=None, **kwargs)

  Histogram of DataArray

  Wraps `matplotlib:matplotlib.pyplot.hist()`

  Plots N dimensional arrays by first flattening the array.

  Parameters:

  darray : DataArray

  > Can be any dimension

  figsize : tuple, optional

  > A tuple (width, height) of the figure in inches. Mutually exclusive with `size` and `ax`.

  aspect : scalar, optional

  > Aspect ratio of plot, so that `aspect * size` gives the width in inches. Only used if a `size` is provided.

  size : scalar, optional

  > If provided, create a new figure for the plot with the given size. Height (in inches) of each plot. See also: `aspect`.

  ax : matplotlib axes object, optional

  > Axis on which to plot this figure. By default, use the current axis. Mutually exclusive with `size` and `figsize`.

  **kwargs : optional

  > Additional keyword arguments to matplotlib.pyplot.hist